# QSignalTransition Class Reference

### [com.trolltech.qt.core package]

Inherits QAbstractTransition.

### Constructor

- void QSignalTransition(QObject sender, char signal, QState sourceState)
- void QSignalTransition(QState sourceState)

### Constructor Properties

- prototype: The QSignalTransition prototype object

### Instance Properties

QSignalTransition objects inherit properties from the QSignalTransition prototype object and also have the following properties.

- senderObject
- signal